<?php

namespace Drupal\views_css_grid\Plugin\views\style;

use Drupal\views_css_grid\ViewsCssGridTraits;
use Drupal\Core\Form\FormStateInterface;
use Drupal\views\Plugin\views\style\StylePluginBase;

use Drupal\Core\Url;

/**
 * CSS Grid style plugin.
 *
 * @ViewsStyle(
 *   id = "css_grid",
 *   title = @Translation("CSS Grid"),
 *   help = @Translation("Formats view using CSS Grid."),
 *   theme = "css_grid",
 *   display_types = {"normal"}
 * )
 */
class ViewsCssGrid extends StylePluginBase
{
  use ViewsCssGridTraits;

  /**
   * {@inheritdoc}
   */
  protected $usesRowPlugin = TRUE;

  /**
   * {@inheritdoc}
   */
  protected $usesRowClass = FALSE;

  /**
  * {@inheritdoc}
  */
  protected function defineOptions()
  {
    $options = array_merge(parent::defineOptions(), self::getViewsCssOptions());
    return $options;
  }

   /**
   * {@inheritdoc}
   */
  public function buildOptionsForm(&$form, FormStateInterface $form_state)
  {
    self::buildForm($form);
  }
}
